apiVersion: networking.k8s.io/v1
kind: Ingress
metadata:
  name: issuer-backoffice-ingress
  annotations:
    k8s.apisix.apache.org/http-to-https: "true"
    cert-manager.io/cluster-issuer: letsencrypt
spec:
  ingressClassName: apisix
  rules:
    - host: issuer.pda1.test.esspass-poc.eu
      http:
        paths:
          - pathType: Prefix
            path: "/"
            backend:
              service:
                name: issuer-backoffice-service
                port:
                  number: 4299
  tls:
    - hosts:
      - issuer.pda1.test.esspass-poc.eu
      secretName: issuer-backoffice-test-esspass-poc-cert
